#ifndef SIGNAL_EMITTER_H
#define SIGNAL_EMITTER_H

#include <QObject>

class signal_emitter : public QObject
{
  Q_OBJECT

public:
  explicit signal_emitter(QObject *parent = 0);

signals: // DO NOT implement, or will cause link error.
  void send(const int);
  void finished();

public slots:
  void launch(); // Fired by QTimer::singleShot()
};

#endif // SIGNAL_EMITTER_H
